#ifndef THREATDATA_H
#define THREATDATA_H

#include <QObject>
#include <QSqlDatabase>
#include <QSqlError>
#include <QSqlQuery>
#include <QDebug>


class ThreatData : public QObject
{
    Q_OBJECT
public:
    explicit ThreatData(QObject *parent = nullptr);


    // 添加异常数据
    bool appendThreatDataByPath(QString sfilePath);

    // 删除异常数据
    bool deleteThreatDataByPath(QString sfilePath);

    // 查询异常数据
    bool selectThreatDataByPath(QString sfilePath);

    // 查询总的数据
    QStringList selectThreatCount();

     int notifySelectThreatCount();
signals:
    void threadsCount(int nCount);

public slots:


private:
    // 初始化数据
    void initDataBase();

private:
    //数据库对象
    QSqlDatabase m_sqlDb;
    //查询数据库工具对象
    QSqlQuery m_sqlQuery;
    //数据库文件路径
    QString m_dbPath;
};

#endif // THREATDATA_H
