#include "common.h"

// 需要特殊转换桌面文件列表
const QMap<QString, QString> m_maps = {
//    {"browser360-cn.desktop", "cn.360.browser-cn.desktop"},
    {"desktop_lnk_icon.ico", "wps-office-pdf.desktop"}
};

const QList<replace> m_replace = {{"WeChat.exe", "/usr/share/applications/com.qq.weixin.deepin.desktop"}
    , {"WeChat.exe", "/usr/share/applications/deepin.com.wechat.desktop"}
    , {"WXWork.exe", "/usr/share/applications/com.qq.weixin.work.deepin.desktop"}
    , {"Foxmail.exe", "/usr/share/applications/com.foxmail.deepin.desktop"}
};

QString getSystemDesktop(QString desktop)
{
    QMap<QString, QString>::const_iterator temp = m_maps.begin();
    for (; temp != m_maps.end(); temp++) {
        if (temp.key() == desktop)
            return temp.value();
    }
    return desktop;
}

bool isReplacePid(QString guiname, QString desktopname)
{
    for (auto temp : m_replace) {
        if ((temp.cmdline == guiname) && (temp.desktop == desktopname))
            return true;
    }
    return false;
}
