#include "vdbversionthread.h"

VdbVersionThread::VdbVersionThread(QObject *parent) : QObject(parent)
{
    // 病毒查杀服务dbus接口
    m_AntivirusServer = new AntivirusServer("com.deepin.defender.antiav",
                                            "/com/deepin/defender/antiav",
                                            QDBusConnection::systemBus(), this);
}

VdbVersionThread::~VdbVersionThread()
{
    emit finish();
}

// 获取病毒库版本
void VdbVersionThread::getVdbVersion()
{
    QString version = m_AntivirusServer->getVdbVersion();

    emit sendVdbVersion(version);
}
