/*
 * Copyright (C) 2019 ~ 2019 Deepin Technology Co., Ltd.
 *
 * Author:     luokai <luokai_cm@deepin.com>
 *
 * Maintainer: luokai <luokai_cm@deepin.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "cleanermodule.h"

#include <QModelIndex>
#include <QStandardItemModel>

CleanerModule::CleanerModule(FrameProxyInterface *frame, QObject *parent)
    : QObject(parent)
    , ModuleInterface(frame)
{
}

void CleanerModule::initialize()
{

}

void CleanerModule::preInitialize()
{
//    m_systemsafetymodel = new SystemSafetyModel();
//    m_systemsafetywork = new SystemSafetyWork(m_systemsafetymodel);
}

const QString CleanerModule::name() const
{
    return "systemsafety";
}

void CleanerModule::active(int index)
{
    m_widget = new CleanerWidget();

    m_frameProxy->pushWidget(this, m_widget);
}

void CleanerModule::deactive()
{

}

