#ifndef TREEITEMDELEGATE_H
#define TREEITEMDELEGATE_H

#include <QStyledItemDelegate>
#include <QApplication>
#include <QMouseEvent>

/*
 * CheckBoxDelegate
 */
class CheckBoxDelegate : public QStyledItemDelegate
{
    Q_OBJECT

public:
    explicit CheckBoxDelegate(QObject *parent = nullptr);
    void setCheckboxCol(int col);
    // 绘制复选框
    void paint(QPainter* painter, const QStyleOptionViewItem& option,const QModelIndex& index)const;

    // 响应鼠标事件，更新数据
    bool editorEvent(QEvent *event, QAbstractItemModel *model, const QStyleOptionViewItem &option, const QModelIndex &index);

private:
    int m_iCheckboxCol;
};





#endif // TREEITEMDELEGATE_H
