/*
 * Copyright (C) 2019 ~ 2019 Deepin Technology Co., Ltd.
 *
 * Author:     caitao <caitao@deepin.com>
 *
 * Maintainer: caitao <caitao@deepin.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include "window/modules/homepage/homepagework.h"
#include "window/modules/homepage/examworker.h"

#include <QObject>

class AnimationShow : public QObject
{
    Q_OBJECT

public:
    AnimationShow(HomePageModel *model, HomePageWork *work, QObject *parent = nullptr);
    void fixAll(QList<int> fixItemIdLst);

Q_SIGNALS:
    void showRepairLable(QString result);
    void reqeuesSetButton();

private:
    HomePageModel       *m_model            = nullptr;
    HomePageWork        *m_work             = nullptr;
};
