/*
 * Copyright (C) 2019 ~ 2019 Deepin Technology Co., Ltd.
 *
 * Author:     luokai <luokai_cm@deepin.com>
 *
 * Maintainer: luokai <luokai_cm@deepin.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include "../systemsafetymodel.h"
#include "../systemsafetywork.h"
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QLabel>
#include <QPushButton>
#include <QObject>

#include <DDialog>

DWIDGET_USE_NAMESPACE
class TipsWidget : public DTK_WIDGET_NAMESPACE::DDialog
{
    Q_OBJECT
public:
    TipsWidget(SystemSafetyModel *model, SystemSafetyWork *work, QWidget *parent = nullptr);
    ~TipsWidget();

    void InitUI();

private:
    SystemSafetyModel *m_model;
    SystemSafetyWork *m_work;
    QLabel *tiplable;
    QPushButton *setbutton;
};
