#include "systemsafetymodel.h"

SystemSafetyModel::SystemSafetyModel(QObject *parent)
    : QObject(parent)
{

}

SystemSafetyModel::~SystemSafetyModel()
{

}

void SystemSafetyModel::setSystemVersionInfo(QString systemVersionInfo)
{
    m_systemVersionInfo = systemVersionInfo;
}

void SystemSafetyModel::setUpdateStatus(const UpdatesStatus &status)
{
    if (m_updateStatus != status) {
        m_updateStatus = status;
        Q_EMIT updateStatusChanged(status);
    }
}
