/*
 * Copyright (C) 2019 ~ 2020 Deepin Technology Co., Ltd.
 *
 * Author:     caitao <caitao@deepin.com>
 *
 * Maintainer: caitao <caitao@deepin.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "usbmonitorconfig.h"
#include "csingleteon.h"

UsbMonitorConfig::UsbMonitorConfig(QObject *parent)
    : QObject(parent)
{

}

void UsbMonitorConfig::setUSBModelAndWhiteList(const QString sFlag, const QString sWhiteList)
{
    DEFENDER_MUTEX_LOCKER(&SMutex::getInstance().m_mutex);
    // 接收限制模式及白名单
    m_sFlag = sFlag;
    m_sWhiteList = sWhiteList;
}
