#ifndef _MODULE_ANTIAV_
#define _MODULE_ANTIAV_

#include "Antiav_common.h"

class CModule_Antiav
{
public:
    CModule_Antiav();

    bool dissection(bool flag, std::vector<std::string> paths, DISSECTION_PROGRESS_CALLBACK function);
    void setdissectionStatus(State state, DISSECTION_STATUS_CALLBACK function);
    bool repairProblemFile(std::string path, REPAIR_CALLBACK function);
    bool reposeProblemFile(bool flag, std::string path, REPOSE_CALLBACK function);
    bool sepProblemFile(bool flag, std::string path, SEP_CALLBACK function);
    bool queryAllReposeProblemFileInfo(std::vector<FileInfo>& files);
    bool queryAllSepProblemFileInfo(std::vector<FileInfo>& files);
    bool setFileSize(int size); // СĵλΪM
    bool get_vdb_version(std::string addr,std::string &version);
    bool malware_update(std::string &result);
    bool is_scanning();
};

#endif
