QT += core dbus dtkwidget gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = deepin-defender-antiav
TEMPLATE = app
CONFIG += c++11 link_pkgconfig
PKGCONFIG += dframeworkdbus

SOURCES += \
    main.cpp \
    antiavdatamodel.cpp \
    operatedbusdata.cpp \
    antiavdatathread.cpp \
    antiavdatastatusmodel.cpp
HEADERS += \
    common.h \
    Antiav.h \
    Antiav_common.h \
    antiavdatamodel.h \
    operatedbusdata.h \
    antiavdatathread.h \
    antiavdatastatusmodel.h

dbus.files = com.deepin.defender.antiav.xml

DBUS_ADAPTORS += dbus
DBUS_INTERFACES += dbus

DISTFILES += \
    com.deepin.defender.antiav.xml \
    com.deepin.defender.antiav.conf

message("current dir:" + $$PWD)
system_dbus_conf.path = /usr/share/dbus-1/system.d
system_dbus_conf.files = $$PWD/com.deepin.defender.antiav.conf

install_service.files = $$PWD/com.deepin.defender.antiav.service
install_service.path = /usr/share/dbus-1/system-services

target.path=/usr/bin
INSTALLS += target system_dbus_conf install_service

#install_antiav.files = $$PWD/usr/lib/*
#install_antiav.path = /usr/lib
#INSTALLS += install_antiav

install_config.files = $$PWD/config/antiav/*
install_config.path = /usr/bin/config/antiav
INSTALLS += install_config

# cobra 文件
#install_cobra.files = $$PWD/cobra/*
#install_cobra.path = /usr/bin/cobra
#INSTALLS += install_cobra

# vdbup 文件
#install_vdbup.files = $$PWD/vdbup
#install_vdbup.path = /usr/bin/
#INSTALLS += install_vdbup

# 公用
#unix:!macx: LIBS += -L$$PWD/usr/lib/ -lcobra
#unix:!macx: LIBS += -L$$PWD/usr/lib/ -lxsse
#unix:!macx: LIBS += -L$$PWD/usr/lib/ -lantiav
#unix:!macx: LIBS += -L$$PWD/usr/lib/ -ljsoncpp-uos

#INCLUDEPATH += $$PWD/usr
#DEPENDPATH += $$PWD/usr
# 病毒引擎公用动态库
unix:!macx: LIBS += -lcobra
unix:!macx: LIBS += -lxsse
unix:!macx: LIBS += -lantiav
unix:!macx: LIBS += -ljsoncpp-uos

QMAKE_RPATHDIR += ./

