#ifndef REMASKDIALOG_H
#define REMASKDIALOG_H

#include "com_deepin_defender_datainterface.h"

#include <DWidget>
#include <DDialog>
#include <DLabel>
#include <QTimer>

DWIDGET_USE_NAMESPACE

static const int REM_ASK_TIMEOUT_COUNT = 15;
using DataInterFaceServer = com::deepin::defender::datainterface;

class RemAskDialog : public DTK_WIDGET_NAMESPACE::DDialog
{
    Q_OBJECT
public:
    explicit RemAskDialog(const QString &sDkgName, const QString &sAppName, const QString &sId, DDialog *parent = nullptr);
    ~RemAskDialog() override;

private:
    // 初始化界面
    void initUi();

Q_SIGNALS:
    // 弹框关闭信号
    void onDialogClose();

private:
    DataInterFaceServer  *m_DataInterFaceServer = nullptr; // 联网管控接口

    QString               m_sAppName;
    QString               m_sPkgName;
    QString               m_sId;

    QTimer               *m_timer            = nullptr;
    int                   m_elapsedSeconds   = REM_ASK_TIMEOUT_COUNT;
};

#endif // REMASKDIALOG_H
