#ifndef REMDISABLEDIALOG_H
#define REMDISABLEDIALOG_H

#include "com_deepin_defender_hmiscreen.h"

#include <DWidget>
#include <DDialog>
#include <DLabel>
#include <QTimer>

DWIDGET_USE_NAMESPACE
static const int REM_TIMEOUT_COUNT = 15;

using HmiScreen = com::deepin::defender::hmiscreen;
class RemDisableDialog : public DTK_WIDGET_NAMESPACE::DDialog
{
    Q_OBJECT
public:
    explicit RemDisableDialog(const QString &sDkgName, const QString &sAppName, DDialog *parent = nullptr);
    ~RemDisableDialog() override;

private:
    // 初始化界面
    void initUi();

Q_SIGNALS:
    // 弹框关闭信号
    void onDialogClose();

private:
    QString      m_sAppName;
    QString      m_sPkgName;

    QTimer      *m_timer            = nullptr;
    int          m_elapsedSeconds   = REM_TIMEOUT_COUNT;

    HmiScreen    *m_hmiScreen        = nullptr;
};

#endif // REMDISABLEDIALOG_H
