QT += core gui
QT       += dbus

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = deepin-MonitorNetFlow
TEMPLATE = app
CONFIG += c++11 link_pkgconfig
PKGCONFIG += dtkwidget dframeworkdbus

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

dbus.files = com.deepin.defender.MonitorNetFlow.xml

DBUS_ADAPTORS += dbus
DBUS_INTERFACES += dbus

SOURCES += \
        main.cpp \
    connection.cpp \
    conninode.cpp \
    devices.cpp \
    inode2prog.cpp \
    line.cpp \
    nethogs.cpp \
    packet.cpp \
    process.cpp \
    writedbusdata.cpp \
    decpcap.c \
    catchnetflow.cpp \
    usbconnection/usbmanagemonitor.cpp

RESOURCES +=        

HEADERS += \
    connection.h \
    conninode.h \
    decpcap.h \
    devices.h \
    inode2prog.h \
    line.h \
    nethogs.h \
    packet.h \
    process.h \
    writedbusdata.h \
    catchnetflow.h \
    usbconnection/usbmanagemonitor.h

DISTFILES += \
    com.deepin.defender.MonitorNetFlow.xml \
    com.deepin.defender.MonitorNetFlow.conf

message("current dir:" + $$PWD)
system_dbus_conf.path = /usr/share/dbus-1/system.d
system_dbus_conf.files = $$PWD/com.deepin.defender.MonitorNetFlow.conf

install_service.files = $$PWD/com.deepin.defender.MonitorNetFlow.service
install_service.path = /usr/share/dbus-1/system-services

target.path=/usr/bin
INSTALLS += target system_dbus_conf install_service

unix:!macx: LIBS += -L$$PWD/../../../../lib/ -lpcap
unix:!macx: LIBS += -L$$PWD/../../../../lib/ -lcap

INCLUDEPATH += $$PWD/../../../../usr/include/pcap
DEPENDPATH += $$PWD/../../../../usr/include/pcap

#管理usb设备库
unix:!macx: LIBS += \
    -L$$PWD/../../../../lib/ -ludev \
    -L$$PWD/../../../../lib/ -lrt

LIBS += -L"libprocps" -lprocps
