#include "writedbusdata.h"
#include "catchnetflow.h"

#include <DLog>

#include <QCoreApplication>
#include <QObject>

DCORE_USE_NAMESPACE

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);
    a.setOrganizationName("deepin");
    a.setApplicationName("deepin-defender-MonitorNetFlow");

    DLogManager::registerConsoleAppender();
    DLogManager::registerFileAppender();

    WriteDBusData dbusData(argc, argv);

    return a.exec();
}
