#ifndef UPDATEDIALOG_H
#define UPDATEDIALOG_H

#include <QObject>
#include <QWidget>
#include <QVBoxLayout>
#include <QHBoxLayout>


#include <DDialog>
#include <DFrame>
#include <DLabel>
#include <DPushButton>
#include <DSuggestButton>

QT_BEGIN_NAMESPACE
class QVBoxLayout;
class QHBoxLayout;
class QLabel;
class QPushButton;

QT_END_NAMESPACE
DWIDGET_USE_NAMESPACE

// 更新提示窗口
class UpdateDialog : public DFrame
{
    Q_OBJECT
public:
    explicit UpdateDialog(QWidget *parent = nullptr);
    ~UpdateDialog();

    void init();

signals:
    // 通知更新病毒库
    void notifyUpdateVdb();

public slots:
    void cancle();
    void update();

private:
    DLabel          *m_tipLable = nullptr;                  // 提示文本
    DPushButton     *m_cancle   = nullptr;                  // 取消按钮
    DSuggestButton  *m_update   = nullptr;                  // 后台更新按钮

};

#endif // UPDATEDIALOG_H
