#ifndef VDBVERSIONTHREAD_H
#define VDBVERSIONTHREAD_H

#include <QObject>
#include "com_deepin_defender_antiav.h"
//dbus接口 服务名称
using AntivirusServer = com::deepin::defender::antiav;

class VdbVersionThread : public QObject
{
    Q_OBJECT
public:
    explicit VdbVersionThread(QObject *parent = nullptr);
    ~ VdbVersionThread();

signals:
    void sendVdbVersion(QString);

    void finish();
public slots:
    // 获取病毒库版本
    void getVdbVersion();


private:
    AntivirusServer         *m_AntivirusServer = nullptr;         // 病毒库dbus 接口
};

#endif // VDBVERSIONTHREAD_H
