#include "animationshow.h"
//#include "../networkprotection/networkprotectionwidget.h"

AnimationShow::AnimationShow(HomePageModel *model, HomePageWork *work, QObject *parent)
    : QObject(parent)
    , m_model(model)
    , m_work(work)
{
}

void AnimationShow::fixAll(QList<int> fixItemIdLst)
{
    bool flag = false;
    for (auto fix : fixItemIdLst) {
        qDebug() << "fixAll" << fix;

        switch (fix) {
        case 1: {
            flag = true;
            m_work->GetNetControlServer()->setNetControlDefaultStatus(3);
            Q_EMIT showRepairLable("1");
            thread()->msleep(500);
            break;
        }
        case 2: {
            flag = true;
            m_work->GetNetControlServer()->setRemControlDefaultStatus(3);
            Q_EMIT showRepairLable("2");
            thread()->msleep(500);
            break;
        }
        case 8: {
            flag = true;
            m_work->setAutoCheckUpdates(true);
            Q_EMIT showRepairLable("8");
            thread()->msleep(500);
            break;
        }
        default:
            break;
        }
    }
    thread()->quit();
    if (flag == true) {
        Q_EMIT reqeuesSetButton();
    }
}
