/*
 * Copyright (C) 2019 ~ 2020 Deepin Technology Co., Ltd.
 *
 * Author:     caitao <caitao@deepin.com>
 *
 * Maintainer: caitao <caitao@deepin.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include <QObject>

//提供usb检控的相关属性设置
class UsbMonitorConfig : public QObject
{
    Q_OBJECT
public:
    explicit UsbMonitorConfig(QObject *parent = nullptr);
    inline QString limitModelStr() {return m_sFlag;}
    inline QString whiteListStr() {return m_sWhiteList;}
    void setUSBModelAndWhiteList(const QString sFlag, const QString sWhiteList);

private:

Q_SIGNALS:

private:
    QString m_sFlag;
    QString m_sWhiteList;
};
